<?php

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// List of pages and metadata
define("PAGES", [
    "home" => [
        "title" => "Home",
        "navbar" => true,
        "icon" => "fas fa-home"
    ],
    "people" => [
        "title" => "People",
        "navbar" => true,
        "icon" => "fas fa-user",
        "styles" => [
            "static/css/datatables.min.css",
            "static/css/tables.css",
            "static/css/people.css"
        ],
        "scripts" => [
            "static/js/datatables.min.js",
            "static/js/people.js"
        ],
    ],
    "editperson" => [
        "title" => "Edit Person",
        "scripts" => [
            "static/js/editperson.js",
            "static/js/familysearch.js"
        ],
    ],
    "confirmdelete" => [
        "title" => "Delete Family"
    ],
    "payments" => [
        "title" => "Payments",
        "navbar" => true,
        "icon" => "fas fa-dollar-sign",
        "styles" => [
            "static/css/datatables.min.css",
            "static/css/tables.css"
        ],
        "scripts" => [
            "static/js/datatables.min.js",
            "static/js/payments.js"
        ]
    ],
    "editpayment" => [
        "title" => "Edit Payment",
        "scripts" => [
            "static/js/editpayment.js",
            "static/js/familysearch.js"
        ]
    ],
    "reports" => [
        "title" => "Reports",
        "navbar" => true,
        "icon" => "fas fa-file-download"
    ],
    "404" => [
        "title" => "404 error"
    ]
]);
