<?php
/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$user = new User($_SESSION['uid']);
if (!$user->hasPermission("HACHEPORTAL_VIEW")) {
    header("Location: ../app.php?msg=no_permission");
    die();
}
?>

<div class="card">
    <div class="card-body">
        <h3 class="card-title">
            <i class="fas fa-cloud-download-alt"></i>
            <?php $Strings->get("Download Reports"); ?>
        </h3>

        <div class="row">
            <div class="col-12 col-md-3">
                <h4><?php $Strings->get("Campers"); ?></h4>
                <a class="btn btn-success mb-1" href="./lib/reports.php?type=campers&format=ods">
                    <i class="fas fa-table"></i> <?php $Strings->get("Spreadsheet (ODS)"); ?>
                </a>
                <br />
                <a class="btn btn-orange btn-sm mr-1" href="./lib/reports.php?type=campers&format=html">
                    <i class="fab fa-html5"></i> <?php $Strings->get("HTML"); ?>
                </a>
                <a class="btn btn-secondary btn-sm" href="./lib/reports.php?type=campers&format=csv">
                    <i class="fas fa-file-csv"></i> <?php $Strings->get("CSV"); ?>
                </a>
            </div>

            <div class="col-12 col-md-3">
                <h4><?php $Strings->get("Adults"); ?></h4>
                <a class="btn btn-success mb-1" href="./lib/reports.php?type=adults&format=ods">
                    <i class="fas fa-table"></i> <?php $Strings->get("Spreadsheet (ODS)"); ?>
                </a>
                <br />
                <a class="btn btn-orange btn-sm mr-1" href="./lib/reports.php?type=adults&format=html">
                    <i class="fab fa-html5"></i> <?php $Strings->get("HTML"); ?>
                </a>
                <a class="btn btn-secondary btn-sm" href="./lib/reports.php?type=adults&format=csv">
                    <i class="fas fa-file-csv"></i> <?php $Strings->get("CSV"); ?>
                </a>
            </div>

            <div class="col-12 col-md-3">
                <h4><?php $Strings->get("Youth"); ?></h4>
                <a class="btn btn-success mb-1" href="./lib/reports.php?type=youth&format=ods">
                    <i class="fas fa-table"></i> <?php $Strings->get("Spreadsheet (ODS)"); ?>
                </a>
                <br />
                <a class="btn btn-orange btn-sm mr-1" href="./lib/reports.php?type=youth&format=html">
                    <i class="fab fa-html5"></i> <?php $Strings->get("HTML"); ?>
                </a>
                <a class="btn btn-secondary btn-sm" href="./lib/reports.php?type=youth&format=csv">
                    <i class="fas fa-file-csv"></i> <?php $Strings->get("CSV"); ?>
                </a>
            </div>

            <div class="col-12 col-md-3">
                <h4><?php $Strings->get("People"); ?></h4>
                <a class="btn btn-success mb-1" href="./lib/reports.php?type=people&format=ods">
                    <i class="fas fa-table"></i> <?php $Strings->get("Spreadsheet (ODS)"); ?>
                </a>
                <br />
                <a class="btn btn-orange btn-sm mr-1" href="./lib/reports.php?type=people&format=html">
                    <i class="fab fa-html5"></i> <?php $Strings->get("HTML"); ?>
                </a>
                <a class="btn btn-secondary btn-sm" href="./lib/reports.php?type=people&format=csv">
                    <i class="fas fa-file-csv"></i> <?php $Strings->get("CSV"); ?>
                </a>
            </div>
        </div>
    </div>
</div>